> For the complete documentation index, see [llms.txt](https://docs.pyck.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pyck.cloud/graphql-api/types/replenishmentorder.md).

# ReplenishmentOrder

Audience: Programmer

## Services

| Service                                                                | Key        | Implements                                                                       |
| ---------------------------------------------------------------------- | ---------- | -------------------------------------------------------------------------------- |
| [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) | value type | [NodeInventory](https://docs.pyck.cloud/graphql-api/interfaces/nodeinventory.md) |

## Fields

| Name                      | Type                                                                                                               | Arguments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Description | Served by                                                              | Deprecated |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------- | ---------- |
| `id`                      | ID!                                                                                                                |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `tenantID`                | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `dataTypeID`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `dataTypeSlug`            | String                                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `data`                    | [Map](https://docs.pyck.cloud/graphql-api/scalars/map.md)                                                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `createdAt`               | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)!                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `createdBy`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)!                                                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `updatedAt`               | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `updatedBy`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `deletedAt`               | [Time](https://docs.pyck.cloud/graphql-api/scalars/time.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `deletedBy`               | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `supplierID`              | [UUID](https://docs.pyck.cloud/graphql-api/scalars/uuid.md)                                                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |
| `replenishmentOrderItems` | [ReplenishmentOrderItemConnection](https://docs.pyck.cloud/graphql-api/types/replenishmentorderitemconnection.md)! | <p><code>after</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>first</code>: Int<br><code>before</code>: <a href="https://docs.pyck.cloud/graphql-api/scalars/cursor.md">Cursor</a><br><code>last</code>: Int<br><code>orderBy</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/replenishmentorderitemorder.md">ReplenishmentOrderItemOrder</a><br><code>where</code>: <a href="https://docs.pyck.cloud/graphql-api/inputs/replenishmentorderitemwhereinput.md">ReplenishmentOrderItemWhereInput</a></p> |             | [inventory](https://docs.pyck.cloud/graphql-api/services/inventory.md) |            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pyck.cloud/graphql-api/types/replenishmentorder.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
